All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::spai::fspai_tag Class Reference

A tag for FSPAI. Experimental. More...

`#include <fspai.hpp>`

## Public Member Functions

| fspai_tag (double residual_norm_threshold=1e-3, unsigned int iteration_limit=5, bool is_static=false, bool is_right=false)
| Constructor. More...
double | getResidualNormThreshold () const
unsigned long | getIterationLimit () const
bool | getIsStatic () const
bool | getIsRight () const
void | setResidualNormThreshold (double residual_norm_threshold)
void | setIterationLimit (unsigned long iteration_limit)
void | setIsRight (bool is_right)
void | setIsStatic (bool is_static)

## Detailed Description

A tag for FSPAI. Experimental.

Contains values for the algorithm. Must be passed to spai_precond constructor

Examples:
  spai.cpp.

Definition at line 71 of file fspai.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::detail::spai::fspai_tag::fspai_tag | ( | double | residual_norm_threshold = `1e-3`,
|  | unsigned int | iteration_limit = `5`,
|  | bool | is_static = `false`,
|  | bool | is_right = `false`
| ) |  |

inline

Constructor.

Parameters

  residual_norm_threshold | Calculate until the norm of the residual falls below this threshold
  iteration_limit | maximum number of iterations
  is_static | determines if static version of SPAI should be used
  is_right | determines if left or right preconditioner should be used

Definition at line 81 of file fspai.hpp.

## Member Function Documentation

bool viennacl::linalg::detail::spai::fspai_tag::getIsRight | ( |  | ) | const

inline

Definition at line 94 of file fspai.hpp.

bool viennacl::linalg::detail::spai::fspai_tag::getIsStatic | ( |  | ) | const

inline

Definition at line 93 of file fspai.hpp.

unsigned long viennacl::linalg::detail::spai::fspai_tag::getIterationLimit | ( |  | ) | const

inline

Definition at line 92 of file fspai.hpp.

double viennacl::linalg::detail::spai::fspai_tag::getResidualNormThreshold | ( |  | ) | const

inline

Definition at line 91 of file fspai.hpp.

void viennacl::linalg::detail::spai::fspai_tag::setIsRight | ( | bool | is_right | ) |

inline

Definition at line 105 of file fspai.hpp.

void viennacl::linalg::detail::spai::fspai_tag::setIsStatic | ( | bool | is_static | ) |

inline

Definition at line 106 of file fspai.hpp.

void viennacl::linalg::detail::spai::fspai_tag::setIterationLimit | ( | unsigned long | iteration_limit | ) |

inline

Definition at line 100 of file fspai.hpp.

void viennacl::linalg::detail::spai::fspai_tag::setResidualNormThreshold | ( | double | residual_norm_threshold | ) |

inline

Definition at line 95 of file fspai.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/spai/fspai.hpp